"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const path_1 = require("path");
exports.plugin = async (schema) => {
    return `
import gql from 'graphql-tag';

export const schema = gql\`
  ${graphql_1.printSchema(schema)}
\`
`;
};
exports.validate = async (schema, documents, config, outputFile, allPlugins) => {
    const singlePlugin = allPlugins.length === 1;
    if (singlePlugin && path_1.extname(outputFile) !== '.ts') {
        throw new Error(`Plugin "schema-typescript-ast" requires extension to be ".ts"!`);
    }
};
//# sourceMappingURL=index.js.map