import { printSchema } from 'graphql';
import { extname } from 'path';
export const plugin = async (schema) => {
    return `
import gql from 'graphql-tag';

export const schema = gql\`
  ${printSchema(schema)}
\`
`;
};
export const validate = async (schema, documents, config, outputFile, allPlugins) => {
    const singlePlugin = allPlugins.length === 1;
    if (singlePlugin && extname(outputFile) !== '.ts') {
        throw new Error(`Plugin "schema-typescript-ast" requires extension to be ".ts"!`);
    }
};
//# sourceMappingURL=index.js.map